Bug 1712488 - Variable openshift_set_node_ip is deprecated in v3.10+ but this is not mentioned in inventory examples
Summary: Variable openshift_set_node_ip is deprecated in v3.10+ but this is not mentio...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.11.z
Assignee: Patrick Dillon
QA Contact: Gaoyun Pei
URL:
Whiteboard:
Depends On: 1694814
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-21 15:27 UTC by Patrick Dillon
Modified: 2019-06-26 09:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: openshift_set_node_ip was deprecated but still included in inventory example and some dead code. Consequence: users might expect openshift_set_node_ip to set the ip address for an individual node but setting the inventory var would do nothing. Fix: remove openshift_set_node_ip from example inventory and remove all related dead code. Also provide deprecated variable warning. Result: users now understand this variable has been deprecated.
Clone Of: 1694814
Environment:
Last Closed: 2019-06-26 09:08:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1605 None None None 2019-06-26 09:08:20 UTC

Description Patrick Dillon 2019-05-21 15:27:06 UTC
+++ This bug was initially created as a clone of Bug #1694814 +++

Description of problem:
Variable openshift_set_node_ip is deprecated but is mention in example inventory for openshift-ansible tags/tags/openshift-ansible-3.10.99-1 without any note about this.
[openshift-ansible]/inventory/hosts.example (line 823)


Version-Release number of the following components:
openshift-ansible-3.10

Actual results:
# Configure nodeIP in the node config
# This is needed in cases where node traffic is desired to go over an
# interface other than the default network interface.
#nopenshift_set_node_ip=True

Expected results:
Should be mentioned that this variable is deprecated.

Comment 1 Patrick Dillon 2019-05-21 15:28:18 UTC
PR: https://github.com/openshift/openshift-ansible/pull/11622

Comment 3 Gaoyun Pei 2019-06-13 02:43:33 UTC
Verify this bug with openshift-ansible-3.11.117-1.git.0.add13ff.el7.noarch.rpm

# grep -r openshift_set_node_ip /usr/share/ansible/openshift-ansible/
/usr/share/ansible/openshift-ansible/roles/lib_utils/action_plugins/sanity_checks.py:    ('openshift_set_node_ip', 'Deprecated: see documentation.'),
# grep -r openshift_set_node_ip /usr/share/doc/openshift-ansible-docs-3.11.117/


Once openshift_set_node_ip=true set in ansible inventory file, the install will fail as below:

TASK [Run variable sanity checks] **********************************************
Thursday 13 June 2019  10:21:59 +0800 (0:00:00.906)       0:01:06.921 ********* 
fatal: [ec2-18-212-141-90.compute-1.amazonaws.com]: FAILED! => {"msg": "last_checked_host: ec2-18-212-141-90.compute-1.amazonaws.com, last_checked_var: openshift_master_identity_providers;Found removed variables: openshift_set_node_ip is replaced by Deprecated: see documentation.; "}

Comment 5 errata-xmlrpc 2019-06-26 09:08:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1605


Note You need to log in before you can comment on or make changes to this bug.